-- Count=1 ; StartTurnAction ; CreateHero 
function CreateHero()
	local hero = NewHero()
	hero.portrait = "/Game/Gui/Common/Heroes/generic_standin.generic_standin"
	hero.name = "Diego_CheapMistakes"
	hero.extra_traits = {UnitTrait.CheapReplacements,UnitTrait.LearnsFromMistakes}
	hero.attack_modifiers = {{type = TargetType.Naval, mod = 1}}
	hero.unit_classes = {UnitClass.Destroyer}
	local action = world:MakeNewHeroAction(0, hero)
	world:Exec(action)
end


-- Hilfsfunktionen
function FindItemInTable(table, item)
	for index,i in ipairs(table) do
		if i == item then
			return index 
		end
	end
	return -1
end

function IsItemInTable(table, item)
	return FindItemInTable(table, item) ~= -1
end


-- Count=1, Condition=Runde1, Action=EndTurnAction, Function=Angriff1
zone = { {3,35},{2,33},{1,25},{2,24},{1,23},{2,22},{2,21},{1,21},{2,20},{2,19},{1,19},{2,18},{2,17},{1,17},{2,16},{1,13},{1,22},{1,23} }

function Runde1()
	return world.round == 6	-- wird eine Runde frher ausgefhrt
end

function SetOrder1(order)
	for id,u in pairs(world.units) do
		if (u.owner_id == 1 and IsItemInTable(zone, u.position)) then			
			local orders = u.orders
			orders = {NewOrder(order)}
			u.orders = orders
		end
	end
end

-- KI Befehl fr die nchste Runde
function Angriff1()
	MessageBox("Warnung", "Weitere Feinde greifen an.")
	SetOrder1("AIOrderAttacker")
end


-- Count=1, Condition=Runde2, Action=EndTurnAction, Function=Angriff2
function Runde2()
	return world.round == 9	-- wird eine Runde frher ausgefhrt
end

function SetOrder2(order)
	for id,u in pairs(world.units) do
		if (u.owner_id == 1) then			
			local orders = u.orders
			orders = {NewOrder(order)}
			u.orders = orders
		end
	end
end

-- KI Befehl fr die nchste Runde
function Angriff2()
	MessageBox("Warnung", "Weitere Feinde greifen an.")
	SetOrder2("AIOrderAttacker")
end
